<h1>Heroes List</h1>

<h2>Add Hero</h2>

<form (ngSubmit)="addHero()">
    <label for="name">Name : </label>
    <input type="text" [(ngModel)]="newHero.name" name="name" id="name">

    <label for="title">Title : </label>
    <input type="text" [(ngModel)]="newHero.title" name="title" id="title">

    
    <label for="birthdate">Birthdate : </label>
    <input type="date" [(ngModel)]="newHero.birthdate" name="birthdate" id="birthdate">

    <label for="level">Level : </label>
    <input type="number" [(ngModel)]="newHero.level" name="level" id="level">

    <button>Add</button>
</form>
<div class="conteneur">
    <ul>
        <li *ngFor="let hero of heroes">
            <!-- On indique qu'au click on met le hero actuel de la 
            boucle dans le propriété selected du component -->
            <button (click)="selected = hero">{{hero.title}}</button>
        </li>
    </ul>
    <!-- Ici, on affiche le hero actuellement sélectionné, uniquement si
    on a effectivement quelque chose dans la propriété selected-->
    <app-one-hero *ngIf="selected" [hero]="selected" (close)="selected = null"></app-one-hero>
</div>